This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 518100 - Xen driver does not update domain ID after starting a persistent domain
Xen driver does not update domain ID after starting a persistent domain
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-18 17:24 EDT by Daniel Berrange
Modified: 2009-09-15 06:40 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-15 06:40:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2009-08-18 17:24:14 EDT
Description of problem:
The libvirt-tck fails on test domain/060, due to domain ID not being updated

/usr/share/libvirt-tck/tests/domain/060-persistent-lifecycle.t ....... 
1..9
# Defining an inactive domain config
ok 1 - defined persistent domain config
# Undefining inactive domain config
# Checking that persistent domain has gone away
ok 2 - NO_DOMAIN error raised from missing domain
# Defining inactive domain config again
ok 3 - defined persistent domain config
# Starting inactive domain config
not ok 4 - running domain has an ID > 0

#   Failed test 'running domain has an ID > 0'
#   at /usr/share/libvirt-tck/tests/domain/060-persistent-lifecycle.t line 63.
# Trying another domain lookup by name
ok 5 - the running domain object
ok 6 - running domain has an ID > 0
# Destroying the running domain
# Checking there is still an inactive domain config
ok 7 - the inactive domain object
ok 8 - inactive domain has an ID == -1
# Undefining the inactive domain config
ok 9 - NO_DOMAIN error raised from missing domain
# Looks like you failed 1 test of 9.
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/9 subtests 


Version-Release number of selected component (if applicable):
libvirt-0.7.0-4.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. # libvirt-tck  -t /usr/share/libvirt-tck/tests/domain/060-persistent-lifecycle.t -v
2.
3.
  
Actual results:
Fails

Expected results:
Passes

Additional info:
Comment 1 Mark McLoughlin 2009-08-19 03:45:17 EDT
think it makes sense to track this one upstream since F12 doesn't have dom0 support?
Comment 2 Daniel Berrange 2009-08-19 05:46:04 EDT
Actually my goal is that libvirt in F12 be sufficiently functional for someone to drop in the community provided Dom0 kernels and still work. So I do want to track this for F12.
Comment 3 Daniel Berrange 2009-09-15 06:40:10 EDT
Fix upstream and now in rawhide

http://libvirt.org/git/?p=libvirt.git;a=commit;h=96f0ee85d25ae27685470f5ccca0368a7a1d40df

Note You need to log in before you can comment on or make changes to this bug.